org.firebirdsql.jdbc.parser

## Class JaybirdSqlBaseListener

- java.lang.Object
- - org.firebirdsql.jdbc.parser.JaybirdSqlBaseListener

- All Implemented Interfaces:
    org.antlr.v4.runtime.tree.ParseTreeListener, JaybirdSqlListener

      public class JaybirdSqlBaseListener
      extends java.lang.Object
      implements JaybirdSqlListener

  This class provides an empty implementation of `JaybirdSqlListener`, which can be extended to create a listener which only needs to handle a subset of the available methods.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaybirdSqlBaseListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enterArrayElement(JaybirdSqlParser.ArrayElementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.arrayElement()`.
    `void` | `enterArrayRange(JaybirdSqlParser.ArrayRangeContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.arrayRange()`.
    `void` | `enterArraySpec(JaybirdSqlParser.ArraySpecContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.arraySpec()`.
    `void` | `enterArrayType(JaybirdSqlParser.ArrayTypeContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.arrayType()`.
    `void` | `enterAssignment(JaybirdSqlParser.AssignmentContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.assignment()`.
    `void` | `enterAssignments(JaybirdSqlParser.AssignmentsContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.assignments()`.
    `void` | `enterBlobSegSize(JaybirdSqlParser.BlobSegSizeContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.blobSegSize()`.
    `void` | `enterBlobSubtype(JaybirdSqlParser.BlobSubtypeContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.blobSubtype()`.
    `void` | `enterBlobType(JaybirdSqlParser.BlobTypeContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.blobType()`.
    `void` | `enterCastExpression(JaybirdSqlParser.CastExpressionContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.castExpression()`.
    `void` | `enterCharSetCharType(JaybirdSqlParser.CharSetCharTypeContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.charSetCharType()`.
    `void` | `enterCharSetClause(JaybirdSqlParser.CharSetClauseContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.charSetClause()`.
    `void` | `enterCharType(JaybirdSqlParser.CharTypeContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.charType()`.
    `void` | `enterColumnList(JaybirdSqlParser.ColumnListContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.columnList()`.
    `void` | `enterColumnName(JaybirdSqlParser.ColumnNameContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.columnName()`.
    `void` | `enterDataTypeDescriptor(JaybirdSqlParser.DataTypeDescriptorContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.dataTypeDescriptor()`.
    `void` | `enterDefaultValuesClause(JaybirdSqlParser.DefaultValuesClauseContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.defaultValuesClause()`.
    `void` | `enterDeleteStatement(JaybirdSqlParser.DeleteStatementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.deleteStatement()`.
    `void` | `enterEveryRule(org.antlr.v4.runtime.ParserRuleContext ctx)`
    `void` | `enterExtractFunction(JaybirdSqlParser.ExtractFunctionContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.extractFunction()`.
    `void` | `enterFullIdentifier(JaybirdSqlParser.FullIdentifierContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.fullIdentifier()`.
    `void` | `enterFunction(JaybirdSqlParser.FunctionContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.function()`.
    `void` | `enterInsertColumns(JaybirdSqlParser.InsertColumnsContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.insertColumns()`.
    `void` | `enterInsertStatement(JaybirdSqlParser.InsertStatementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.insertStatement()`.
    `void` | `enterInsertValues(JaybirdSqlParser.InsertValuesContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.insertValues()`.
    `void` | `enterMatchingClause(JaybirdSqlParser.MatchingClauseContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.matchingClause()`.
    `void` | `enterNextValueExpression(JaybirdSqlParser.NextValueExpressionContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.nextValueExpression()`.
    `void` | `enterNonArrayType(JaybirdSqlParser.NonArrayTypeContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.nonArrayType()`.
    `void` | `enterNonCharSetCharType(JaybirdSqlParser.NonCharSetCharTypeContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.nonCharSetCharType()`.
    `void` | `enterNonCharType(JaybirdSqlParser.NonCharTypeContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.nonCharType()`.
    `void` | `enterNullValue(JaybirdSqlParser.NullValueContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.nullValue()`.
    `void` | `enterParameter(JaybirdSqlParser.ParameterContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.parameter()`.
    `void` | `enterReturningClause(JaybirdSqlParser.ReturningClauseContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.returningClause()`.
    `void` | `enterSelectClause(JaybirdSqlParser.SelectClauseContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.selectClause()`.
    `void` | `enterSimpleIdentifier(JaybirdSqlParser.SimpleIdentifierContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.simpleIdentifier()`.
    `void` | `enterSimpleType(JaybirdSqlParser.SimpleTypeContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.simpleType()`.
    `void` | `enterSimpleValue(JaybirdSqlParser.SimpleValueContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.simpleValue()`.
    `void` | `enterStatement(JaybirdSqlParser.StatementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.statement()`.
    `void` | `enterSubstringFunction(JaybirdSqlParser.SubstringFunctionContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.substringFunction()`.
    `void` | `enterTableName(JaybirdSqlParser.TableNameContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.tableName()`.
    `void` | `enterTrimFunction(JaybirdSqlParser.TrimFunctionContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.trimFunction()`.
    `void` | `enterTrimSpecification(JaybirdSqlParser.TrimSpecificationContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.trimSpecification()`.
    `void` | `enterUpdateOrInsertStatement(JaybirdSqlParser.UpdateOrInsertStatementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.updateOrInsertStatement()`.
    `void` | `enterUpdateStatement(JaybirdSqlParser.UpdateStatementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.updateStatement()`.
    `void` | `enterValue(JaybirdSqlParser.ValueContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.value()`.
    `void` | `enterValueList(JaybirdSqlParser.ValueListContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.valueList()`.
    `void` | `exitArrayElement(JaybirdSqlParser.ArrayElementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.arrayElement()`.
    `void` | `exitArrayRange(JaybirdSqlParser.ArrayRangeContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.arrayRange()`.
    `void` | `exitArraySpec(JaybirdSqlParser.ArraySpecContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.arraySpec()`.
    `void` | `exitArrayType(JaybirdSqlParser.ArrayTypeContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.arrayType()`.
    `void` | `exitAssignment(JaybirdSqlParser.AssignmentContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.assignment()`.
    `void` | `exitAssignments(JaybirdSqlParser.AssignmentsContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.assignments()`.
    `void` | `exitBlobSegSize(JaybirdSqlParser.BlobSegSizeContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.blobSegSize()`.
    `void` | `exitBlobSubtype(JaybirdSqlParser.BlobSubtypeContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.blobSubtype()`.
    `void` | `exitBlobType(JaybirdSqlParser.BlobTypeContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.blobType()`.
    `void` | `exitCastExpression(JaybirdSqlParser.CastExpressionContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.castExpression()`.
    `void` | `exitCharSetCharType(JaybirdSqlParser.CharSetCharTypeContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.charSetCharType()`.
    `void` | `exitCharSetClause(JaybirdSqlParser.CharSetClauseContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.charSetClause()`.
    `void` | `exitCharType(JaybirdSqlParser.CharTypeContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.charType()`.
    `void` | `exitColumnList(JaybirdSqlParser.ColumnListContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.columnList()`.
    `void` | `exitColumnName(JaybirdSqlParser.ColumnNameContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.columnName()`.
    `void` | `exitDataTypeDescriptor(JaybirdSqlParser.DataTypeDescriptorContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.dataTypeDescriptor()`.
    `void` | `exitDefaultValuesClause(JaybirdSqlParser.DefaultValuesClauseContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.defaultValuesClause()`.
    `void` | `exitDeleteStatement(JaybirdSqlParser.DeleteStatementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.deleteStatement()`.
    `void` | `exitEveryRule(org.antlr.v4.runtime.ParserRuleContext ctx)`
    `void` | `exitExtractFunction(JaybirdSqlParser.ExtractFunctionContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.extractFunction()`.
    `void` | `exitFullIdentifier(JaybirdSqlParser.FullIdentifierContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.fullIdentifier()`.
    `void` | `exitFunction(JaybirdSqlParser.FunctionContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.function()`.
    `void` | `exitInsertColumns(JaybirdSqlParser.InsertColumnsContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.insertColumns()`.
    `void` | `exitInsertStatement(JaybirdSqlParser.InsertStatementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.insertStatement()`.
    `void` | `exitInsertValues(JaybirdSqlParser.InsertValuesContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.insertValues()`.
    `void` | `exitMatchingClause(JaybirdSqlParser.MatchingClauseContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.matchingClause()`.
    `void` | `exitNextValueExpression(JaybirdSqlParser.NextValueExpressionContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.nextValueExpression()`.
    `void` | `exitNonArrayType(JaybirdSqlParser.NonArrayTypeContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.nonArrayType()`.
    `void` | `exitNonCharSetCharType(JaybirdSqlParser.NonCharSetCharTypeContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.nonCharSetCharType()`.
    `void` | `exitNonCharType(JaybirdSqlParser.NonCharTypeContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.nonCharType()`.
    `void` | `exitNullValue(JaybirdSqlParser.NullValueContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.nullValue()`.
    `void` | `exitParameter(JaybirdSqlParser.ParameterContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.parameter()`.
    `void` | `exitReturningClause(JaybirdSqlParser.ReturningClauseContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.returningClause()`.
    `void` | `exitSelectClause(JaybirdSqlParser.SelectClauseContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.selectClause()`.
    `void` | `exitSimpleIdentifier(JaybirdSqlParser.SimpleIdentifierContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.simpleIdentifier()`.
    `void` | `exitSimpleType(JaybirdSqlParser.SimpleTypeContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.simpleType()`.
    `void` | `exitSimpleValue(JaybirdSqlParser.SimpleValueContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.simpleValue()`.
    `void` | `exitStatement(JaybirdSqlParser.StatementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.statement()`.
    `void` | `exitSubstringFunction(JaybirdSqlParser.SubstringFunctionContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.substringFunction()`.
    `void` | `exitTableName(JaybirdSqlParser.TableNameContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.tableName()`.
    `void` | `exitTrimFunction(JaybirdSqlParser.TrimFunctionContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.trimFunction()`.
    `void` | `exitTrimSpecification(JaybirdSqlParser.TrimSpecificationContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.trimSpecification()`.
    `void` | `exitUpdateOrInsertStatement(JaybirdSqlParser.UpdateOrInsertStatementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.updateOrInsertStatement()`.
    `void` | `exitUpdateStatement(JaybirdSqlParser.UpdateStatementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.updateStatement()`.
    `void` | `exitValue(JaybirdSqlParser.ValueContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.value()`.
    `void` | `exitValueList(JaybirdSqlParser.ValueListContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.valueList()`.
    `void` | `visitErrorNode(org.antlr.v4.runtime.tree.ErrorNode node)`
    `void` | `visitTerminal(org.antlr.v4.runtime.tree.TerminalNode node)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaybirdSqlBaseListener

          public JaybirdSqlBaseListener()

  - ### Method Detail

    - #### enterStatement

          public void enterStatement(JaybirdSqlParser.StatementContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.statement()`.

      The default implementation does nothing.

      Specified by:
        `enterStatement` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitStatement

          public void exitStatement(JaybirdSqlParser.StatementContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.statement()`.

      The default implementation does nothing.

      Specified by:
        `exitStatement` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterDeleteStatement

          public void enterDeleteStatement(JaybirdSqlParser.DeleteStatementContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.deleteStatement()`.

      The default implementation does nothing.

      Specified by:
        `enterDeleteStatement` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitDeleteStatement

          public void exitDeleteStatement(JaybirdSqlParser.DeleteStatementContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.deleteStatement()`.

      The default implementation does nothing.

      Specified by:
        `exitDeleteStatement` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterUpdateStatement

          public void enterUpdateStatement(JaybirdSqlParser.UpdateStatementContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.updateStatement()`.

      The default implementation does nothing.

      Specified by:
        `enterUpdateStatement` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitUpdateStatement

          public void exitUpdateStatement(JaybirdSqlParser.UpdateStatementContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.updateStatement()`.

      The default implementation does nothing.

      Specified by:
        `exitUpdateStatement` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterAssignments

          public void enterAssignments(JaybirdSqlParser.AssignmentsContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.assignments()`.

      The default implementation does nothing.

      Specified by:
        `enterAssignments` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitAssignments

          public void exitAssignments(JaybirdSqlParser.AssignmentsContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.assignments()`.

      The default implementation does nothing.

      Specified by:
        `exitAssignments` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterAssignment

          public void enterAssignment(JaybirdSqlParser.AssignmentContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.assignment()`.

      The default implementation does nothing.

      Specified by:
        `enterAssignment` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitAssignment

          public void exitAssignment(JaybirdSqlParser.AssignmentContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.assignment()`.

      The default implementation does nothing.

      Specified by:
        `exitAssignment` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterUpdateOrInsertStatement

          public void enterUpdateOrInsertStatement(JaybirdSqlParser.UpdateOrInsertStatementContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.updateOrInsertStatement()`.

      The default implementation does nothing.

      Specified by:
        `enterUpdateOrInsertStatement` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitUpdateOrInsertStatement

          public void exitUpdateOrInsertStatement(JaybirdSqlParser.UpdateOrInsertStatementContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.updateOrInsertStatement()`.

      The default implementation does nothing.

      Specified by:
        `exitUpdateOrInsertStatement` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterMatchingClause

          public void enterMatchingClause(JaybirdSqlParser.MatchingClauseContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.matchingClause()`.

      The default implementation does nothing.

      Specified by:
        `enterMatchingClause` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitMatchingClause

          public void exitMatchingClause(JaybirdSqlParser.MatchingClauseContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.matchingClause()`.

      The default implementation does nothing.

      Specified by:
        `exitMatchingClause` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterInsertStatement

          public void enterInsertStatement(JaybirdSqlParser.InsertStatementContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.insertStatement()`.

      The default implementation does nothing.

      Specified by:
        `enterInsertStatement` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitInsertStatement

          public void exitInsertStatement(JaybirdSqlParser.InsertStatementContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.insertStatement()`.

      The default implementation does nothing.

      Specified by:
        `exitInsertStatement` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterInsertColumns

          public void enterInsertColumns(JaybirdSqlParser.InsertColumnsContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.insertColumns()`.

      The default implementation does nothing.

      Specified by:
        `enterInsertColumns` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitInsertColumns

          public void exitInsertColumns(JaybirdSqlParser.InsertColumnsContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.insertColumns()`.

      The default implementation does nothing.

      Specified by:
        `exitInsertColumns` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterInsertValues

          public void enterInsertValues(JaybirdSqlParser.InsertValuesContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.insertValues()`.

      The default implementation does nothing.

      Specified by:
        `enterInsertValues` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitInsertValues

          public void exitInsertValues(JaybirdSqlParser.InsertValuesContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.insertValues()`.

      The default implementation does nothing.

      Specified by:
        `exitInsertValues` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterReturningClause

          public void enterReturningClause(JaybirdSqlParser.ReturningClauseContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.returningClause()`.

      The default implementation does nothing.

      Specified by:
        `enterReturningClause` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitReturningClause

          public void exitReturningClause(JaybirdSqlParser.ReturningClauseContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.returningClause()`.

      The default implementation does nothing.

      Specified by:
        `exitReturningClause` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterDefaultValuesClause

          public void enterDefaultValuesClause(JaybirdSqlParser.DefaultValuesClauseContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.defaultValuesClause()`.

      The default implementation does nothing.

      Specified by:
        `enterDefaultValuesClause` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitDefaultValuesClause

          public void exitDefaultValuesClause(JaybirdSqlParser.DefaultValuesClauseContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.defaultValuesClause()`.

      The default implementation does nothing.

      Specified by:
        `exitDefaultValuesClause` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterSimpleIdentifier

          public void enterSimpleIdentifier(JaybirdSqlParser.SimpleIdentifierContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.simpleIdentifier()`.

      The default implementation does nothing.

      Specified by:
        `enterSimpleIdentifier` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitSimpleIdentifier

          public void exitSimpleIdentifier(JaybirdSqlParser.SimpleIdentifierContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.simpleIdentifier()`.

      The default implementation does nothing.

      Specified by:
        `exitSimpleIdentifier` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterFullIdentifier

          public void enterFullIdentifier(JaybirdSqlParser.FullIdentifierContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.fullIdentifier()`.

      The default implementation does nothing.

      Specified by:
        `enterFullIdentifier` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitFullIdentifier

          public void exitFullIdentifier(JaybirdSqlParser.FullIdentifierContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.fullIdentifier()`.

      The default implementation does nothing.

      Specified by:
        `exitFullIdentifier` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterTableName

          public void enterTableName(JaybirdSqlParser.TableNameContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.tableName()`.

      The default implementation does nothing.

      Specified by:
        `enterTableName` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitTableName

          public void exitTableName(JaybirdSqlParser.TableNameContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.tableName()`.

      The default implementation does nothing.

      Specified by:
        `exitTableName` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterColumnList

          public void enterColumnList(JaybirdSqlParser.ColumnListContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.columnList()`.

      The default implementation does nothing.

      Specified by:
        `enterColumnList` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitColumnList

          public void exitColumnList(JaybirdSqlParser.ColumnListContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.columnList()`.

      The default implementation does nothing.

      Specified by:
        `exitColumnList` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterColumnName

          public void enterColumnName(JaybirdSqlParser.ColumnNameContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.columnName()`.

      The default implementation does nothing.

      Specified by:
        `enterColumnName` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitColumnName

          public void exitColumnName(JaybirdSqlParser.ColumnNameContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.columnName()`.

      The default implementation does nothing.

      Specified by:
        `exitColumnName` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterValueList

          public void enterValueList(JaybirdSqlParser.ValueListContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.valueList()`.

      The default implementation does nothing.

      Specified by:
        `enterValueList` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitValueList

          public void exitValueList(JaybirdSqlParser.ValueListContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.valueList()`.

      The default implementation does nothing.

      Specified by:
        `exitValueList` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterValue

          public void enterValue(JaybirdSqlParser.ValueContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.value()`.

      The default implementation does nothing.

      Specified by:
        `enterValue` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitValue

          public void exitValue(JaybirdSqlParser.ValueContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.value()`.

      The default implementation does nothing.

      Specified by:
        `exitValue` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterParameter

          public void enterParameter(JaybirdSqlParser.ParameterContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.parameter()`.

      The default implementation does nothing.

      Specified by:
        `enterParameter` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitParameter

          public void exitParameter(JaybirdSqlParser.ParameterContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.parameter()`.

      The default implementation does nothing.

      Specified by:
        `exitParameter` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterNullValue

          public void enterNullValue(JaybirdSqlParser.NullValueContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.nullValue()`.

      The default implementation does nothing.

      Specified by:
        `enterNullValue` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitNullValue

          public void exitNullValue(JaybirdSqlParser.NullValueContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.nullValue()`.

      The default implementation does nothing.

      Specified by:
        `exitNullValue` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterSimpleValue

          public void enterSimpleValue(JaybirdSqlParser.SimpleValueContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.simpleValue()`.

      The default implementation does nothing.

      Specified by:
        `enterSimpleValue` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitSimpleValue

          public void exitSimpleValue(JaybirdSqlParser.SimpleValueContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.simpleValue()`.

      The default implementation does nothing.

      Specified by:
        `exitSimpleValue` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterNextValueExpression

          public void enterNextValueExpression(JaybirdSqlParser.NextValueExpressionContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.nextValueExpression()`.

      The default implementation does nothing.

      Specified by:
        `enterNextValueExpression` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitNextValueExpression

          public void exitNextValueExpression(JaybirdSqlParser.NextValueExpressionContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.nextValueExpression()`.

      The default implementation does nothing.

      Specified by:
        `exitNextValueExpression` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterCastExpression

          public void enterCastExpression(JaybirdSqlParser.CastExpressionContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.castExpression()`.

      The default implementation does nothing.

      Specified by:
        `enterCastExpression` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitCastExpression

          public void exitCastExpression(JaybirdSqlParser.CastExpressionContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.castExpression()`.

      The default implementation does nothing.

      Specified by:
        `exitCastExpression` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterDataTypeDescriptor

          public void enterDataTypeDescriptor(JaybirdSqlParser.DataTypeDescriptorContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.dataTypeDescriptor()`.

      The default implementation does nothing.

      Specified by:
        `enterDataTypeDescriptor` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitDataTypeDescriptor

          public void exitDataTypeDescriptor(JaybirdSqlParser.DataTypeDescriptorContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.dataTypeDescriptor()`.

      The default implementation does nothing.

      Specified by:
        `exitDataTypeDescriptor` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterNonArrayType

          public void enterNonArrayType(JaybirdSqlParser.NonArrayTypeContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.nonArrayType()`.

      The default implementation does nothing.

      Specified by:
        `enterNonArrayType` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitNonArrayType

          public void exitNonArrayType(JaybirdSqlParser.NonArrayTypeContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.nonArrayType()`.

      The default implementation does nothing.

      Specified by:
        `exitNonArrayType` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterSimpleType

          public void enterSimpleType(JaybirdSqlParser.SimpleTypeContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.simpleType()`.

      The default implementation does nothing.

      Specified by:
        `enterSimpleType` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitSimpleType

          public void exitSimpleType(JaybirdSqlParser.SimpleTypeContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.simpleType()`.

      The default implementation does nothing.

      Specified by:
        `exitSimpleType` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterCharType

          public void enterCharType(JaybirdSqlParser.CharTypeContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.charType()`.

      The default implementation does nothing.

      Specified by:
        `enterCharType` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitCharType

          public void exitCharType(JaybirdSqlParser.CharTypeContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.charType()`.

      The default implementation does nothing.

      Specified by:
        `exitCharType` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterNonCharSetCharType

          public void enterNonCharSetCharType(JaybirdSqlParser.NonCharSetCharTypeContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.nonCharSetCharType()`.

      The default implementation does nothing.

      Specified by:
        `enterNonCharSetCharType` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitNonCharSetCharType

          public void exitNonCharSetCharType(JaybirdSqlParser.NonCharSetCharTypeContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.nonCharSetCharType()`.

      The default implementation does nothing.

      Specified by:
        `exitNonCharSetCharType` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterCharSetCharType

          public void enterCharSetCharType(JaybirdSqlParser.CharSetCharTypeContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.charSetCharType()`.

      The default implementation does nothing.

      Specified by:
        `enterCharSetCharType` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitCharSetCharType

          public void exitCharSetCharType(JaybirdSqlParser.CharSetCharTypeContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.charSetCharType()`.

      The default implementation does nothing.

      Specified by:
        `exitCharSetCharType` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterNonCharType

          public void enterNonCharType(JaybirdSqlParser.NonCharTypeContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.nonCharType()`.

      The default implementation does nothing.

      Specified by:
        `enterNonCharType` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitNonCharType

          public void exitNonCharType(JaybirdSqlParser.NonCharTypeContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.nonCharType()`.

      The default implementation does nothing.

      Specified by:
        `exitNonCharType` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterBlobType

          public void enterBlobType(JaybirdSqlParser.BlobTypeContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.blobType()`.

      The default implementation does nothing.

      Specified by:
        `enterBlobType` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitBlobType

          public void exitBlobType(JaybirdSqlParser.BlobTypeContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.blobType()`.

      The default implementation does nothing.

      Specified by:
        `exitBlobType` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterBlobSubtype

          public void enterBlobSubtype(JaybirdSqlParser.BlobSubtypeContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.blobSubtype()`.

      The default implementation does nothing.

      Specified by:
        `enterBlobSubtype` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitBlobSubtype

          public void exitBlobSubtype(JaybirdSqlParser.BlobSubtypeContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.blobSubtype()`.

      The default implementation does nothing.

      Specified by:
        `exitBlobSubtype` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterBlobSegSize

          public void enterBlobSegSize(JaybirdSqlParser.BlobSegSizeContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.blobSegSize()`.

      The default implementation does nothing.

      Specified by:
        `enterBlobSegSize` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitBlobSegSize

          public void exitBlobSegSize(JaybirdSqlParser.BlobSegSizeContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.blobSegSize()`.

      The default implementation does nothing.

      Specified by:
        `exitBlobSegSize` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterCharSetClause

          public void enterCharSetClause(JaybirdSqlParser.CharSetClauseContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.charSetClause()`.

      The default implementation does nothing.

      Specified by:
        `enterCharSetClause` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitCharSetClause

          public void exitCharSetClause(JaybirdSqlParser.CharSetClauseContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.charSetClause()`.

      The default implementation does nothing.

      Specified by:
        `exitCharSetClause` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterArrayType

          public void enterArrayType(JaybirdSqlParser.ArrayTypeContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.arrayType()`.

      The default implementation does nothing.

      Specified by:
        `enterArrayType` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitArrayType

          public void exitArrayType(JaybirdSqlParser.ArrayTypeContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.arrayType()`.

      The default implementation does nothing.

      Specified by:
        `exitArrayType` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterArraySpec

          public void enterArraySpec(JaybirdSqlParser.ArraySpecContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.arraySpec()`.

      The default implementation does nothing.

      Specified by:
        `enterArraySpec` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitArraySpec

          public void exitArraySpec(JaybirdSqlParser.ArraySpecContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.arraySpec()`.

      The default implementation does nothing.

      Specified by:
        `exitArraySpec` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterArrayRange

          public void enterArrayRange(JaybirdSqlParser.ArrayRangeContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.arrayRange()`.

      The default implementation does nothing.

      Specified by:
        `enterArrayRange` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitArrayRange

          public void exitArrayRange(JaybirdSqlParser.ArrayRangeContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.arrayRange()`.

      The default implementation does nothing.

      Specified by:
        `exitArrayRange` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterArrayElement

          public void enterArrayElement(JaybirdSqlParser.ArrayElementContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.arrayElement()`.

      The default implementation does nothing.

      Specified by:
        `enterArrayElement` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitArrayElement

          public void exitArrayElement(JaybirdSqlParser.ArrayElementContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.arrayElement()`.

      The default implementation does nothing.

      Specified by:
        `exitArrayElement` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterFunction

          public void enterFunction(JaybirdSqlParser.FunctionContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.function()`.

      The default implementation does nothing.

      Specified by:
        `enterFunction` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitFunction

          public void exitFunction(JaybirdSqlParser.FunctionContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.function()`.

      The default implementation does nothing.

      Specified by:
        `exitFunction` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterSubstringFunction

          public void enterSubstringFunction(JaybirdSqlParser.SubstringFunctionContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.substringFunction()`.

      The default implementation does nothing.

      Specified by:
        `enterSubstringFunction` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitSubstringFunction

          public void exitSubstringFunction(JaybirdSqlParser.SubstringFunctionContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.substringFunction()`.

      The default implementation does nothing.

      Specified by:
        `exitSubstringFunction` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterTrimFunction

          public void enterTrimFunction(JaybirdSqlParser.TrimFunctionContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.trimFunction()`.

      The default implementation does nothing.

      Specified by:
        `enterTrimFunction` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitTrimFunction

          public void exitTrimFunction(JaybirdSqlParser.TrimFunctionContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.trimFunction()`.

      The default implementation does nothing.

      Specified by:
        `exitTrimFunction` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterExtractFunction

          public void enterExtractFunction(JaybirdSqlParser.ExtractFunctionContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.extractFunction()`.

      The default implementation does nothing.

      Specified by:
        `enterExtractFunction` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitExtractFunction

          public void exitExtractFunction(JaybirdSqlParser.ExtractFunctionContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.extractFunction()`.

      The default implementation does nothing.

      Specified by:
        `exitExtractFunction` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterTrimSpecification

          public void enterTrimSpecification(JaybirdSqlParser.TrimSpecificationContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.trimSpecification()`.

      The default implementation does nothing.

      Specified by:
        `enterTrimSpecification` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitTrimSpecification

          public void exitTrimSpecification(JaybirdSqlParser.TrimSpecificationContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.trimSpecification()`.

      The default implementation does nothing.

      Specified by:
        `exitTrimSpecification` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterSelectClause

          public void enterSelectClause(JaybirdSqlParser.SelectClauseContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.selectClause()`.

      The default implementation does nothing.

      Specified by:
        `enterSelectClause` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitSelectClause

          public void exitSelectClause(JaybirdSqlParser.SelectClauseContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.selectClause()`.

      The default implementation does nothing.

      Specified by:
        `exitSelectClause` in interface `JaybirdSqlListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterEveryRule

          public void enterEveryRule(org.antlr.v4.runtime.ParserRuleContext ctx)

      The default implementation does nothing.

      Specified by:
        `enterEveryRule` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

    - #### exitEveryRule

          public void exitEveryRule(org.antlr.v4.runtime.ParserRuleContext ctx)

      The default implementation does nothing.

      Specified by:
        `exitEveryRule` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

    - #### visitTerminal

          public void visitTerminal(org.antlr.v4.runtime.tree.TerminalNode node)

      The default implementation does nothing.

      Specified by:
        `visitTerminal` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

    - #### visitErrorNode

          public void visitErrorNode(org.antlr.v4.runtime.tree.ErrorNode node)

      The default implementation does nothing.

      Specified by:
        `visitErrorNode` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.